For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of portal urls
      • POSTCreate a portal url
      • GETGet a portal url by resource ID
      • PATCHPatch portal url
      • POSTRevoke a portal url
  • Event API
LoginSandbox
Transaction APIPortal Urls

Create a portal url

POST
/v:version/portal-urls
POST
/v:version/portal-urls
$curl -X POST https://api.solvimon.com/v1/portal-urls \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "INVOICE"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "type": "INVOICE",
5 "customer_id": "string",
6 "status": "PUBLISHED",
7 "created_at": "string",
8 "updated_at": "string",
9 "expiry_period": {
10 "type": "DAY",
11 "value": 1
12 },
13 "expires_at": "string",
14 "embedded": true,
15 "template_id": "string",
16 "token": "string",
17 "url": "string",
18 "widgets": {
19 "usage": "string",
20 "invoices": "string",
21 "pricing_plan_subscriptions": "string"
22 },
23 "invoice": {
24 "id": "string",
25 "options": {
26 "download_invoice": true,
27 "pay_open_invoice": true
28 }
29 },
30 "customer": {
31 "display": {
32 "usage": true,
33 "invoices": true,
34 "pricing_plan_subscriptions": true,
35 "payment_acceptors": true
36 },
37 "options": {
38 "edit_customer_details": true,
39 "download_invoice": true,
40 "pay_open_invoice": true,
41 "combine_open_invoices": true
42 }
43 },
44 "quote_version": {
45 "id": "string"
46 },
47 "init_pricing_plan_subscription": {
48 "pricing_plan_subscription_id": "string",
49 "success_url": "string"
50 }
51}
Was this page helpful?
Previous

Get a portal url by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenum or nullRequired
Allowed values:
customer_idstring or nullOptional
Resource ID of type CUSTOMER
statusenum or nullOptional
Allowed values:
expiry_periodobjectOptional
embeddedboolean or nullOptional
template_idstring or nullOptional
widgetsobject or nullOptional
invoiceobjectOptional
customerobjectOptional
quote_versionobjectOptional
init_pricing_plan_subscriptionobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
typeenum or null
Allowed values:
customer_idstring or null
Resource ID of type CUSTOMER
statusenum or null
Allowed values:
created_atstring or nullRead-only
updated_atstring or nullRead-only
expiry_periodobject
expires_atstring or nullRead-only
embeddedboolean or null
template_idstring or null
tokenstring or nullRead-only
urlstring or nullRead-only
widgetsobject or null
invoiceobject
customerobject
quote_versionobject
init_pricing_plan_subscriptionobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error